ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.ListHistory(ctx, operations.C1APICrossAppAccessV1XAASettingsServiceListHistoryRequest{})
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceListHistoryResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/cross-app-access/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"rawValue": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"allowRefreshTokenSubjects": true,
"createdAt": "2023-11-07T05:31:56Z",
"defaultGrantLifetime": "<string>",
"enabled": true,
"enabledSigningAlgorithms": [],
"updatedAt": "2023-11-07T05:31:56Z",
"xaaIdTokenLifetime": "<string>"
}
}
],
"nextPageToken": "<string>"
}Cross-App Access
List History
List the change history for the tenant’s cross-app-access settings (newest first). Singleton: scoped to the caller’s tenant.
GET
/
api
/
v1
/
settings
/
cross-app-access
/
history
ListHistory
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAASettings.ListHistory(ctx, operations.C1APICrossAppAccessV1XAASettingsServiceListHistoryRequest{})
if err != nil {
log.Fatal(err)
}
if res.XAASettingsServiceListHistoryResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
Page size (max 200).
Page token for pagination.
Response
200 - application/json
XAASettingsServiceListHistoryResponse returns cross-app-access settings history entries.
Was this page helpful?
⌘I